<?php

/**
 * JTL Plugin
 * Copyright (C) 2011 - 2017 Andreas Petermann
 *
 * PHP version 5.6+
 *
 * @copyright css-umsetzung
 * @author Andreas Petermann <info@css-umsetzung.de>
 * @package css_digiBon 
 * @license GNU
 * @version 1.00
 *         
 */


namespace css_digiBon;



require_once str_replace("frontend/","",$oPlugin->cFrontendPfad) . 'classes/class.'.$oPlugin->cPluginID.'.php';
$cssPlugin = css_digiBon::getInstance($oPlugin);





if(file_exists($oPlugin->cFrontendPfad.'inc/'.$oPlugin->nCalledHook.'.php')){
	require_once $oPlugin->cFrontendPfad.'inc/'.$oPlugin->nCalledHook.'.php';
} else {
	switch($oPlugin->nCalledHook) {
			
				
			case HOOK_INDEX_SEO_404:
				$cssPlugin->hookIndexSeo404();
				break;

			case HOOK_IO_HANDLE_REQUEST:
				if(!isset($_REQUEST['io']) || $_REQUEST['io']!=\basename(__NAMESPACE__)) return;

				
	    if($fp = fopen(PFAD_ROOT."jtllogs/zugriffslog_".__NAMESPACE__." - ".date("d-m-Y").".log","a+")) {
	    	fwrite($fp,date("H:i:s")."	".$_SERVER['REMOTE_ADDR']."				".$_SERVER['HTTP_USER_AGENT']."\n");
	    	fwrite($fp,print_r($_REQUEST,true)."\n");
	    	fwrite($fp,print_r($_FILES,true)."\n");
	    	fwrite($fp,"---------------------------------------------------------------------------------\n");
	    	fclose($fp);
	    }
				
    
				
				$cssPlugin->hookIoHandleRequest($_REQUEST);
				echo "OK";
				exit;
					
	}
}


